 /*
  * UAE - The Un*x Amiga Emulator
  *
  * Virtual File System support
  *
  * (c) 1997 Gustavo Goedert
  */

#ifdef __DOS__
#define VFSFILENAME "#UAE.VFS"
#else
#define VFSFILENAME ".uae.vfs"
#endif

char *CreateRealName(char *Directory, char *VirtualName, int MangleSize);
char *GetRealName(char *Directory, char *VirtualName);
char *GetVirtualName(char *Directory, char *RealName);
ULONG GetAttributes(char *Directory, char *RealName, mode_t Mode);
int SetAttributes(char *Directory, char *RealName, mode_t Mode, ULONG Attributes);
void CleanDir(char *Directory);
